﻿using Microsoft.AspNetCore.Mvc;

namespace ApiServer.Controllers
{
	[ApiController]
	[Route("api/state")]
	public class StateContoller
	{
		[HttpGet]
		public byte GetActualState()
		{
			return GetActualStateFromCom.CurrentState;
		}

		[HttpGet]
		[Route("modbus")]
		public ActionResult<bool> GetActualState(int inputIndex)
		{
			if (inputIndex > 1)
			{
				return new NotFoundResult();
				//throw new ArgumentOutOfRangeException(nameof(inputIndex), "Значение может быть от 0 до 1 включительно.");
			}
			return GetActualStateFromComWithModbus.CurrentState[inputIndex];
		}
	}
}
